Subject: bug#9790: Cleaning up nobreak-char-display

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Dec 2020 10:55:23 +0200

>> After Emacs 24.1, we should clean up the nobreak-char-display mechanism.
>> The highlighted chars should be in a variable, not hardcoded.  The name
>> `nobreak-char-display' should probably be changed.  Also, we should
>> figure out how to deal with the different Unicode space characters.
>
> The latter was fixed earlier this year, I think?
>
> As for having the former in a variable -- is that warranted?  It would
> mean slowing redisplay down a bit, I guess?  I don't know whether that's
> worth it.
>
> Any opinions?

To address specific needs for highlighting Unicode space characters,
in bug#44236 I resorted to the GNU ELPA package 'markchars' that has
the variable 'markchars-nobreak-space-pattern' with a list of
Unicode space characters.